import request from '@/utils/request'

// 查询等保单位列表
export function listDbdw(query) {
  return request({
    url: '/tcZz/networkSecurity/dbdw/list',
    method: 'get',
    params: query
  })
}

// 查询等保单位详细
export function getDbdw(id) {
  return request({
    url: '/tcZz/networkSecurity/dbdw/' + id,
    method: 'get'
  })
}

// 新增等保单位
export function addDbdw(data) {
  return request({
    url: '/tcZz/networkSecurity/dbdw',
    method: 'post',
    data: data
  })
}

// 修改等保单位
export function updateDbdw(data) {
  return request({
    url: '/tcZz/networkSecurity/dbdw',
    method: 'put',
    data: data
  })
}

// 删除等保单位
export function delDbdw(id) {
  return request({
    url: '/tcZz/networkSecurity/dbdw/' + id,
    method: 'delete'
  })
}
